#
# spec file for package ubridge
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ubridge
Version:        0.9.18
Release:        bp156.2.6
Summary:        Bridging between UDP tunnels, Ethernet and TAP interfaces
License:        GPL-3.0-only
Group:          Productivity/Networking/Other
URL:            https://github.com/GNS3/ubridge
Source0:        https://github.com/GNS3/ubridge/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  libpcap-devel >= 1.5.3
BuildRequires:  libiniparser-devel >= 4.1

%description
uBridge is a simple application to create user-land bridges between
various technologies. Currently bridging between UDP tunnels,
Ethernet and TAP interfaces is supported.  Packet capture is also
supported.

%prep
%setup -q
# remove bundled iniparser
rm -rf src/iniparser

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="$CFLAGS"
%make_build SYSTEM_INIPARSER=1

%install
install -D -m0755 ubridge %{buildroot}%{_bindir}/ubridge

%files
%license LICENSE
%doc README.rst
%{_bindir}/ubridge

%changelog
* Tue Jun  2 2020 Martin Hauke <mardnh@gmx.de>
- Build with system provided iniparser
- Package README and LICENSE file
- Specfile cleanup
- Update to version 0.9.18
  * Fix issue with data transfer thread unexpectedly stopping
- Update to version 0.9.17
  * Recover from EINVAL and exit ubridge on unrecoverable errors.
- Update to version 0.9.16
  * Updated iniparser to v4.1
  * Fixed issue with incompatible interface to iniparser.
- Update to version 0.9.15
  * Hide erred line content during INI file parsing.
* Wed Apr 17 2019 Joop Boonen <joop.boonen@opensuse.org>
- Build version 0.9.14
  - Version 0.9.14
  * Fix BPF filtering for IOL bridge.
  - Version 0.9.13
  * Display uBridge version and PCAP lib version.
  * Fix issue with TAP interfaces on OS X.
  * Preserve timestamps during cp
  * Add option to use system provided iniparser.
  - Version 0.9.12
  * Added function show in module bridge
  * Do not require an IPv4 address to use Ethernet devices
  * Enable to use existing TAP devices
  * Fix and improve NIO statistics.
  * Fix sendto() error when socket file is not yet present.
  * Implement packet filter support, current filters include BPF, delay, packet loss, frequency drop and packet corruption
* Sat Mar 11 2017 GNS3 <developers@gns3.com>
- Increased max packet size
